견적 산출 대상 문서가 유효하지 않음
API는 이 문제가 발생하면 422 Unprocessable Content 응답을 반환합니다. 이 오류의 type는 https://lingo.dev/docs/api/errors/estimate-document-invalid입니다. 모든 오류의 공통 구조는 오류 및 상태 코드를 참고하세요.
<documentKey>의 견적을 산출할 수 없습니다. 원본을 해당 문서 형식에 따라 파싱할 수 없기 때문입니다. 원본을 수정하거나 견적 산출 대상에서 제외하세요.
필드#
본문에는 표준 멤버인 type, status, title, detail 외에 다음 필드가 포함됩니다. detail 텍스트는 이 필드를 바탕으로 생성되므로, 클라이언트에서 원하는 문구를 대신 표시할 수 있습니다.
| 필드 | 유형 |
|---|---|
documentKey | string |
reason | "sourceUnparseable" | "previousSourceUnparseable" | "translationUnparseable" | "translationMisaligned" | "translationInvalid" |
locale | string |
예시#
json
{
"detail": "Cannot estimate <documentKey>: its source does not parse in the document's format. Fix the source, or leave it out of the estimate.",
"documentKey": "<documentKey>",
"reason": "sourceUnparseable",
"locale": "pt-BR",
"type": "https://lingo.dev/docs/api/errors/estimate-document-invalid",
"status": 422,
"title": "Estimate document invalid"
}이 오류를 반환하는 엔드포인트#
POST /v2/organizations/{orgId}/localization/estimates